#include <signal.h>
#include <stdio.h>
#include <sys/time.h>

static void signal_handler (int signo)
{
  printf ("Hello, world!\n");
}

int main (void)
{
  if (signal (SIGVTALRM, signal_handler) == SIG_ERR)
    {
      fputs ("Error installing signal handler.\n", stderr);
      return 1;
    }

  struct itimerval timer;
  timer.it_value.tv_sec = 1;
  timer.it_value.tv_usec = 0;
  timer.it_interval.tv_sec = 1;
  timer.it_interval.tv_usec = 0;
  setitimer (ITIMER_VIRTUAL, &timer, NULL);

  while (1);
  return 0;
}
